ONVIF::Analytics::Types::EventSubscription(3)

NAME
ONVIF::Analytics::Types::EventSubscription

DESCRIPTION
Perl data type class for the XML Schema defined complexType EventSubscription from the namespace http://www.onvif.org/ver10/schema.

Subcription handling in the same way as base notification subscription.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Filter

•   SubscriptionPolicy

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::EventSubscription
   Filter =>  $some_value, # anyType
   SubscriptionPolicy =>  {
   },
 },

AUTHOR
Generated by SOAP::WSDL